import org.apache.logging.log4j.Logger

static def createRunnable(Logger logger, String dataSourceId, long supplierCode) {
    return {
        logger.info("我是按月执行的脚本")
    } as Runnable
}

//groovy最后一个表达式的值为返回
createRunnable(logger, dataSourceId, supplierCode)

